package com.example.SparkStructedStreaming;

import com.example.SparkStructedStreaming.job.KafkaDataReaderJob;
import com.example.SparkStructedStreaming.job.KafkaDataWriterJob;
import io.confluent.kafka.schemaregistry.client.rest.exceptions.RestClientException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.io.IOException;

@SpringBootApplication

public class SparkStructedStreamingApplication implements CommandLineRunner{

	/*public static KafkaDataReaderJob kafkaDataReaderJob;


	public static KafkaDataWriterJob kafkaDataWriterJob;*/

	@Autowired
	KafkaDataReaderJob kafkaDataReaderJob;

	@Autowired
	KafkaDataWriterJob kafkaDataWriterJob;

	public static void main(String[] args) throws IOException, RestClientException {
		SpringApplication.run(SparkStructedStreamingApplication.class, args);
		/*kafkaDataReaderJob = new KafkaDataReaderJob();
		kafkaDataReaderJob.run();*/
		/*kafkaDataWriterJob = new KafkaDataWriterJob();
		kafkaDataWriterJob.run();*/
	}


	@Override
	public void run ( String... args ) throws Exception {

		kafkaDataWriterJob.run();
	//	kafkaDataReaderJob.run();



	}
}
