package com.nisum.model;

import java.util.Objects;

public class Person {
    String name;
    String age;

    @Override
    public boolean equals ( Object o ) {
        if (this == o) return true;
        if (!(o instanceof Person)) return false;
        Person person = (Person) o;
        return Objects.equals(getName(), person.getName()) &&
                Objects.equals(getAge(), person.getAge());
    }

    @Override
    public int hashCode () {
        return Objects.hash(getName(), getAge());
    }

    @Override
    public String toString () {
        return "Person{" +
                "name='" + name + '\'' +
                ", age='" + age + '\'' +
                '}';
    }

    public Person () {
    }

    public Person ( String name, String age ) {
        this.name = name;
        this.age = age;
    }

    public String getName () {
        return name;
    }

    public void setName ( String name ) {
        this.name = name;
    }

    public String getAge () {
        return age;
    }

    public void setAge ( String age ) {
        this.age = age;
    }
}
